Subject: 1601bis: The Charter of IAB

From: "Rahmat M. Samik-Ibrahim" <[email-masked]>
Date: Sat, 29 Jan 2000 14:05:23 +0800

To Whom It May Concern

Re: Last Call: Charter of the Internet Architecture Board (IAB) to BCP

> The IESG plans to make a decision in the next few weeks, and 
> solicits final comments on this action.  Please send any 
> comments to the [email-masked] or [email-masked] mailing lists 
> by February 9, 2000.

> Files can be obtained via
> http://www.ietf.org/internet-drafts/draft-ietf-iab-rfc1601bis-02.txt

General

1. Why should the IESG approve the charter? Why not the ISOC?
2. There is no clear statement about the relationship between
   ISOC and IAB. Why?
3. There is no clear statement about relationship with RFC-Editor, 
   IESG, IETF-Sec, IANA, and ICANN. Why?

Accountability

4. As the community is not only exclusively the IETF anymore, 
   what does really "on behalf of the Internet Community" mean?
   What measurement will be used? Will the IAB publish at least
   an annual "progress report"? What/Where is the replacement of
   what IAB previously reported in the IMR?

5. How will the IAB implement "own choosing" of BCP-9:
   "The IAB shall then review the situation and attempt to resolve 
   it in a manner of its OWN CHOOSING."
   See also BCP-9:
   6.5  Conflict Resolution and Appeals
   6.5.1 Working Group Disputes
   6.5.2 Process Failures
   6.5.3 Questions of Applicable Procedure
   See also BCP-11:
   3.6  Internet Architecture Board
   3.7  Internet Assigned Numbers Authority

6. What should the IAB/ISOC do, if the IESG signs a treaty without 
   having a Last Call?

-------------------------------------------------------------------

Enclosed is my suggested framework of 1601bis

#include <Standard_BCP-9_Headers.h>

1. The Role of the IAB
   - a brief description of the IAB
     * why it is chartered
     * by whom
     * for what
     * some other brief blah-blah-blahs.

2. Organizational Issues
2.1 The IAB chair
2.2 The ExecDir
2.3 The Current Task Forces (Arm?)
    - IRTF
    - IETF
2.4 Voting Rule
2.5 Archiving
    - directory: announcement, appeal, minutes
    - prior cases: e.g. Crocker vs. IESG(1995), Simpson vs. IESG(1999).
    - hall of fame: prior IAB members, etc.
    - who is the holder of zone iab.org, iana.org, ietf.org, and
      rfc-editors.org ?
    - etc.
2.6 The IAB Charter
    - who should approve this charter and its changes?
      the ISOC? the ISOC BOT? the IETF plenary? 
    - how? 
2.7 IAB Liability
    - any specific liability and insurance?
2.8 Funding
    - who will pay this activity?
    - who cares the accountability of all fundings?
2.9 Openness and Confidentiality
    - same as current 1601bis

3. IAB Membership and Selection
3.1 General
    - serve as individuals, non vendor's constituencies,
      but what about the liaisons and the Ex-Officios?
3.2 Fully Voting Members
    - 6/6 members for 2 years, see BCP-10.
3.3 IESG/IETF Chair
    - vote except for IESG related issues, appeals, et.al.
3.4 Ex-Officio Members
    - can be held by voting members
    - IRTF chair
    - IAB ExecDir
3.5 Liaisons
    - can not be held by voting members
    - Internet Society
    - RFC-Editor
    - IESG

4. The Role of the IAB in more detail
4.1 IESG Appointment
    - follow BCP-10
    - should have a separated charter
4.4 IRTF chair Appointment
    - follow BCP-8
4.2 RFC Series
    - its Appointment?
    - should have a separated charter    
    - no free lunch lah, someone has to pay this expensive 
      activity, but who?
4.3 IANA
    - its Appointment?
    - how is this related with ICANN?
    - who pays for this?
4.4 Appeal Process
    - openness
    - do the the party have to pay the plenary attending fee?
    - can it be done electronically, by email, chat, teleconference?
    - who will be to underwriter of this potential expensive activity?
    - how and who will handle an appeal to the IAB itself?
4.5 Appointing Liaisons
    - liaison to the IETF?
    - liaison to the ISOC?
    - liaison to ICANN PSO?
4.6 Organizing Ad-Hoc Committees
4.7 Signing Treaties
    - don't let the IESG sign treaties and MoUs, including IPR licenses.
4.8 General Oversight
    - advice to the ISOC
    - advice to the IESG re. BOF, charting new WGs.
      * Perhaps BCP-25 should deleted the term "advice from the IAB" 
        in which the IESG is perhaps not interested anyway?
        replace it with an ordinary "WG creating Last Call"?
    - how to solicit input from the community
    - how to inform the community
4.10 Accountability Oversight
    - who is taking care the funding of RFC-ed, IANA, and IETF-sec?
    - how to audit it?
4.11 Resolve issues which can not be treated within the IETF/IRTF
   - this point was in RFC 1160, but disappeared after
   - let the IESG to do want it want to do, and let the IAB do what 
     the IESG does do anyway (e.g. handling RFC-2050/BCP-12).
   - who is taking care of the IETF-SEC budget and accountability?

5. Differences and Brief Historical Backgrounds
   - compared with the prior Charter
   - refer to RFC-1160 for historical details

6. Acknowledgments
   - include a list of all prior IAB's chairs

7. References
   - BCP 8
   - BCP 9
   - BCP 10
   - RFC 1160
   - RFC 1336
   - RFC 1358
   - RFC 1601

#include <Standard_BCP-9_Footers.h>

-- 
- Rahmat M. Samik-Ibrahim --  VLSM-TJT --  http://rms46.vlsm.org/ -
- PCI Bus, VESA-L Bus, ISA Bus, VME Bus, S100 Bus, Charlotte 71 Bus